# TP 2

> `Matthieu JOLIMAITRE <matthieu.jolimaitre@epita.fr>`

## Questions 

1. Pour une matrice de `W × H`, l'index 'aplatis' de l'élément de coordonnées `(x, y)` est `k := (y × W) + x`.
2. Pour une matrice de `W × H`, les coordonnées de l'élément à l'index 'aplatis' `k` sont :
    - `x := k % W`  (Avec `%`  le reste euclidien).
    - `y := k // W` (Avec `//` le quotient euclidien).
3. Pour une matrice de 10 lignes de 100 colonnes, contenant des int (4 octets) ; Stocker les lignes avec un pitch devant être multiple de 128 :
    - La longueur d'une ligne sera `100 × 4 = 400` octets.
    - Le pitch sera le prochain produit de la table de 128 : `(400 // 128) + 1 = 512` octets.
    - Le padding sera donc le pitch moins la longueur de la donnée : `512 - 400 = 112` octets.
