# Introduction

## Fondements

### M2M (Machine to Machine)

Type de système supposé fonctionner en interfaçant avec d'autres machines plutôt qu'avec un humain ;
Ne nécessitant pas d'interactions humaines après la mise en place et l'allumage.

- Contemporain des années 1990.
	- Provoqué par la démocratisation des technologies céllulaires.
- Usage lourd de réseaux :
	- Technologies sans fils.
	- Réseaux privées.
- Environement fermé autour de la tâche de l'appareil et peu maléable.

### IoT (Internet of Things)

Famille d'objets interconnectés, intégrés dans des applications et capteurs.

- Hérite des principes de M2M.
- Usage des réseaux Internets.
	- Accède au réseau publique.
	- Usage d'API, de services décentralisés.
- Environement polymorphique, extensible et adaptable.


### Différences

- Permet plus d'analyses et de traitement sur les données.
- Modèle économique : L'utilisateur achète un service ou un abonnement plutôt qu'un produit.

### Principes

- Actionneurs, capteurs, réseau et applications.
- Basé sur des protocoles de communication standardisés pour permettre une inter-opérabilité des appareils.

### Par rapport à un système embarqué

Un système embarqué :
- Objet remplissant une ou plusiuers fonctionnalités aidées par un système informatique et optimisé par une efficacité énergétiique et des ressources limitées.
- Exemples : panneau d'affichage urbain, systèmes de contrôle de véhicules, console de jeux.

## Applications

- Domotique
- Industrie
	- Robotisation
	- Optimisation
	- Agriculture

## Architecture

3 couches :
- Couche perception :  capteurs et actionneurs
- Couche réseau :      partage des données avec un serveur extérieur qui opèrera un calcul
- Couche application : logiciel client du service

## Challengening

.
